Post by DrBeat1926 » Wed Sep 07, 2022 11:35 pm

Hello everyone,
i am about to start developing my e-commerce on opencart latest version (4.0.1.1), but i noticed that many modules are not yet available? Am I choosing a wrong or unripe version?

I'm afraid to choose a version where the important modules (google, billing etc.) are not yet available.
Do you recommend which stable version to use? Maybe one that uses Bootstrap NO ALPHA or BETA version

Thank you.

Newbie

Posts

Joined
Wed Sep 07, 2022 11:30 pm

Post by Johnathan » Thu Sep 08, 2022 2:11 am

OpenCart 4.0 isn't quite ready for live stores. 4.0.1.1 is an improvement over 4.0.0.0, but there are still some bugs in the code that need to get fixed before it's completely stable.

The only downside, which you've noticed, is that the extension system was changed quite a bit in 4.0 (most notably, with the removal of ocMod). This means developers need to convert their extensions to the new format, and that will take some time. I wouldn't expect most extensions to be converted for another couple of months (or even a year), depending on the developer.

If you want to get started now, I would recommend 3.0.3.8 --- it's the latest of the 3.0 branch, and is stable to use. You can find it here:

https://www.opencart.com/index.php?rout ... ad/history

Image
Image Image Image Image


User avatar
Administrator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by thekrotek » Thu Sep 08, 2022 2:49 am

Short version: forget OC 4, use OC 3 instead. This is valid at least for the next year.

Professional OpenCart extensions, support and custom work.
Contact me via email or Skype by support@thekrotek.com


User avatar
Expert Member

Posts

Joined
Sun Jul 03, 2016 12:24 am


Post by johnp » Thu Sep 08, 2022 5:34 am

thekrotek wrote:
Thu Sep 08, 2022 2:49 am
Short version: forget OC 4, use OC 3 instead. This is valid at least for the next year.
+1. Stick to version 3. :)

Opencart 1.5.6.5/OC Bootstrap Pro/VQMOD lover, user and geek.
Affordable Service £££ - Opencart Installs, Fixing, Development and Upgrades
Plus Ecommerce, Marketing, Mailing List Management and More
FREE Guidance and Advice at https://www.ecommerce-help.co.uk


User avatar
Active Member

Posts

Joined
Fri Mar 25, 2011 10:25 am
Location - Surrey, UK

User avatar
Guru Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by tdaubs » Fri Oct 21, 2022 2:44 am

Good to see some feedback on this by seasoned OC developers. I'm in the process of deciding which version to use for a new project and this thread cemented the decision to use version 3. Thank you!

Image
Opencart Support . Opencart Galaxy . Buy Me a Coffee?


User avatar
Active Member

Posts

Joined
Fri Apr 08, 2011 4:51 am
Location - Southern California
Who is online

Users browsing this forum: No registered users and 3 guests